classification
Title: tarfile silently hides errors
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: tarfile module next() method hides exceptions
View: 27590
Assigned To: Nosy List: lars.gustaebel, r.david.murray, socketpair
Priority: normal Keywords:

Created on 2013-01-04 07:53 by socketpair, last changed 2016-07-22 19:38 by r.david.murray. This issue is now closed.

Messages (3)
msg179005 - (view) Author: Марк Коренберг (socketpair) * Date: 2013-01-04 07:53
TarFile.next() silently drop error of one of 

- EOFHeaderError
- InvalidHeaderError

occur. So, extracting corrupted .tar file will not raise error.
msg179007 - (view) Author: Марк Коренберг (socketpair) * Date: 2013-01-04 08:00
Ups. hiding EOFHeaderError is not an error.
But handilng of other errors is not perfect. Please review TarFile.next() for cases where .tar file is corrupted. For example,

TruncatedHeaderError is re-raised only if problem at the start of the file. Really, it can appear in the (original) middle of the file.
msg271010 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-07-22 19:38
Closing this in favor of issue 27590, which at least got a little discussion.
History
Date User Action Args
2016-07-22 19:38:45r.david.murraysetstatus: open -> closed

superseder: tarfile module next() method hides exceptions

nosy: + r.david.murray
messages: + msg271010
resolution: duplicate
stage: resolved
2016-07-12 04:05:32martin.pantersetmessages: - msg265966
2016-07-12 02:22:51berker.peksagsetmessages: - msg265967
2016-07-12 02:22:43berker.peksagsetmessages: - msg270206
2016-07-12 02:22:38berker.peksagsetmessages: - msg270204
2016-07-11 20:27:23socketpairsetmessages: + msg270206
2016-07-11 20:24:17socketpairsetmessages: + msg270204
2016-05-20 21:58:04socketpairsetstatus: closed -> open
resolution: wont fix -> (no value)
messages: + msg265967
2016-05-20 21:57:01socketpairsetstatus: open -> closed
resolution: wont fix
messages: + msg265966
2013-01-04 08:07:01ned.deilysetnosy: + lars.gustaebel

versions: - Python 3.5
2013-01-04 08:00:13socketpairsetmessages: + msg179007
2013-01-04 07:53:48socketpaircreate